PDA

Visualizza la versione completa : linux e gestione pacchettti


dilan9
21-05-2007, 15:20
:) ciao a tutti
:) ho ubuntu e la gestione pacchetti synaptic , quando apro mi da questo errore:
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
E: _cache->open() failed, please report.
come devo fare

grazie a tutti

psykopear
21-05-2007, 15:21
Originariamente inviato da dilan9
:) ciao a tutti
:) ho ubuntu e la gestione pacchetti synaptic , quando apro mi da questo errore:
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
E: _cache->open() failed, please report.
come devo fare

grazie a tutti

Devi fare proprio come ti dice: Apri una shell e digiti dpkg --configure -a

dilan9
21-05-2007, 18:11
ho provato tantissimi volte e non va mi dice questo quando scrivo dpkg ecc...
mi dice l'operazione richiesta necessita dei privilegi di superuser
cosa devo fare, oppure come faccio a reinstallarlo ed a installarlo di nuovo?
grz

francofait
21-05-2007, 18:15
In linux tutte le operazioni di amministrazione del SO richiedono i privilegi root .

con Ubuntu si ottengono via:

sudo
quindi

sudo dpkg --configure -a

sudo richiede l' immissione della tua password utente.

dilan9
21-05-2007, 18:32
dopo aver digitato sudo ecc.
mi esce questa scritta
dylan@dylan-desktop:~$ sudo dpkg --configure -a
Password:
Configuro sun-java6-doc (6-00-2ubuntu2) ...
This package is an installer package, it does not actually contain the
JDK documentation. You will need to go download one of the
archives:

jdk-6-doc.zip jdk-6-doc-ja.zip

(choose the non-update version if this is the first installation).
Please visit

http://java.sun.com/javase/downloads/

now and download. The file should be owned by root.root and be copied
to /tmp.

[Press RETURN to try again, 'no' + RETURN to abort] dpkg --configure -a
This package is an installer package, it does not actually contain the
JDK documentation. You will need to go download one of the
archives:

jdk-6-doc.zip jdk-6-doc-ja.zip

(choose the non-update version if this is the first installation).
Please visit

http://java.sun.com/javase/downloads/

now and download. The file should be owned by root.root and be copied
to /tmp.

[Press RETURN to try again, 'no' + RETURN to abort]


adesso cosa faccio???

ciao a tutti

dilan9
21-05-2007, 23:56
rispondetemi vi prego

P4nico
22-05-2007, 01:29
a me dava quel errore solo quando synaptic era gia in esecuzione da qualcos'altro... o c'e' qualcosa che viene continuamente installata e ti blocca la possibilitÓ di tutto il resto o non saprei. verifica dai processi.

francofait
22-05-2007, 02:33
apt-get -f install
e gli fai risolvere le dipendenze

dilan9
22-05-2007, 08:39
quando digito apt-get -f install mi da il permesso negato
aiutatemi
ciao a tt

risiko85
22-05-2007, 10:26
Ti dice accesso negato perchŔ quell'istruzione devi farla da root...

quindi mettigli davanti sudo


:ciauz:

Loading